Bug 797962 - Review Request: procps-ng - System and process monitoring utilities
Summary: Review Request: procps-ng - System and process monitoring utilities
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-27 16:15 UTC by Jaromír Cápík
Modified: 2016-02-01 01:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-07 15:29:59 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaromír Cápík 2012-02-27 16:15:16 UTC
Spec URL: http://jcapik.fedorapeople.org/files/procps-ng/procps-ng.spec
SRPM URL: http://jcapik.fedorapeople.org/files/procps-ng/procps-ng-3.3.2-1.fc18.src.rpm
Description: 
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, pkill, pgrep,
snice, tload, top, uptime, vmstat, w, watch and pdwx. The ps command
displays a snapshot of running processes. The top command provides
a repetitive update of the statuses of running processes. The free
command displays the amounts of free and used memory on your
system. The skill command sends a terminate command (or another
specified signal) to a specified set of processes. The snice
command is used to change the scheduling priority of specified
processes. The tload command prints a graph of the current system
load average to a specified tty. The uptime command displays the
current time, how long the system has been running, how many users
are logged on, and system load averages for the past one, five,
and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays
virtual memory statistics about processes, memory, paging, block
I/O, traps, and CPU activity. The pwdx command reports the current 
working directory of a process or processes.

Comment 1 Jaromír Cápík 2012-02-27 16:52:52 UTC
This is a re-review request for a package rename/replace.
This package replaces the former 'procps' package.

Comment 2 Petr Šabata 2012-02-29 17:22:41 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[!]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[?]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint procps-ng-3.3.2-1.fc18.x86_64.rpm

procps-ng.x86_64: W: spelling-error %description -l en_US pdwx -> pd
procps-ng.x86_64: W: spelling-error %description -l en_US tty -> try, ttys, atty
procps-ng.x86_64: W: shared-lib-calls-exit /usr/lib64/libprocps.so.0.0.0 _exit@GLIBC_2.2.5
procps-ng.x86_64: W: shared-lib-calls-exit /usr/lib64/libprocps.so.0.0.0 exit@GLIBC_2.2.5
procps-ng.x86_64: W: manual-page-warning /usr/share/man/man1/top.1.gz 131: warning: macro `Bd' not defined
procps-ng.x86_64: W: manual-page-warning /usr/share/man/man1/top.1.gz 162: warning: macro `Ed' not defined
procps-ng.x86_64: W: manual-page-warning /usr/share/man/man1/ps.1.gz 1876: `\:' is not allowed in a name
procps-ng.x86_64: W: manual-page-warning /usr/share/man/man1/ps.1.gz 1876: warning: macro `URalbert@' not defined (possibly missing space after `UR')
1 packages and 0 specfiles checked; 0 errors, 8 warnings.


rpmlint procps-ng-debuginfo-3.3.2-1.fc18.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint procps-ng-devel-3.3.2-1.fc18.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint procps-ng-3.3.2-1.fc18.src.rpm

procps-ng.src: W: spelling-error %description -l en_US ps -> PS, pa, pd
procps-ng.src: W: spelling-error %description -l en_US pkill -> pill, kill, skill
procps-ng.src: W: spelling-error %description -l en_US pgrep -> prep, grep, p grep
procps-ng.src: W: spelling-error %description -l en_US snice -> since, nice, slice
procps-ng.src: W: spelling-error %description -l en_US tload -> toad, load, t load
procps-ng.src: W: spelling-error %description -l en_US uptime -> up time, up-time, suppertime
procps-ng.src: W: spelling-error %description -l en_US vmstat -> stat
procps-ng.src: W: spelling-error %description -l en_US pdwx -> pd
procps-ng.src: W: spelling-error %description -l en_US tty -> try, ttys, atty
procps-ng.src: W: spelling-error %description -l en_US pwdx -> PW
procps-ng.src:28: W: unversioned-explicit-provides /sbin/sysctl
procps-ng.src: W: invalid-url Source0: procps-ng-3.3.2.tar.xz
1 packages and 0 specfiles checked; 0 errors, 12 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[-]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
FIX: Correct the base package dependency in your devel subpackage to %{name}%{?_isa} = %{version}-%{release}
FIX: The license of some files is unclear to me, specifically:
 - tload.c (no license, copyright only)
 - uptime.c (no license, no copyright)
 - vmstat.c (no license, copyright only)
 - watch.c (no license, copyright only)
 - w.c (no license, copyright only)
 - ps/stacktrace.c (no license, copyright only)
Additionally, proc/whattime.c is explicitly said to be public domain.
Resolve those with upstream.  You could also mention Public domain and Copyright only in your License tag, I suppose -- that would leave just uptime.c to deal with.  I also suggest consulting the Fedora legal list.
NOTE: Since the base package will always be installed, you don't have to package all the docs again in the devel subpackage.
TODO: Resolve the rpmlint warnings, if possible.
NOTE: There seems to be testsuite.  Could it be utilized?
NOTE: Is there a reason to exclude libprocps.pc?

Not approving yet.

Generated by fedora-review 0.2.0git
External plugins:

Comment 3 Jaromír Cápík 2012-03-06 12:25:48 UTC
Hopefully fixed ...

SPEC: http://jcapik.fedorapeople.org/files/procps-ng/2/procps-ng.spec
SRPM: http://jcapik.fedorapeople.org/files/procps-ng/2/procps-ng-3.3.2-2.fc18.src.rpm

Note: rpmlint warnings have already been solved by upstream (master)

Comment 4 Petr Šabata 2012-03-06 15:16:16 UTC
> FIX: Correct the base package dependency in your devel subpackage to
> %{name}%{?_isa} = %{version}-%{release}

OK.

> FIX: The license of some files is unclear to me, specifically:
>  - tload.c (no license, copyright only)
>  - uptime.c (no license, no copyright)
>  - vmstat.c (no license, copyright only)
>  - watch.c (no license, copyright only)
>  - w.c (no license, copyright only)
>  - ps/stacktrace.c (no license, copyright only)

LGPL2+, OK.

> Additionally, proc/whattime.c is explicitly said to be public domain.

Public domain and LGPL2+ -- does this mean it was relicensed or only the modifications are under LGPL2+?  In case of the latter, add 'Public domain' to your License tag before building the package unless you wish to relicense it in Fedora.

> Resolve those with upstream.  You could also mention Public domain and
> Copyright only in your License tag, I suppose -- that would leave just uptime.c
> to deal with.  I also suggest consulting the Fedora legal list.
> NOTE: Since the base package will always be installed, you don't have to
> package all the docs again in the devel subpackage.

Sort of OK.  You don't have to install the licenses either.

> TODO: Resolve the rpmlint warnings, if possible.
> NOTE: There seems to be testsuite.  Could it be utilized?

Possibly in the future...  OK.

> NOTE: Is there a reason to exclude libprocps.pc?

Added, OK.

--
Approving.

Comment 5 Jaromír Cápík 2012-03-07 10:51:35 UTC
New Package SCM Request
=======================
Package Name: procps-ng
Short Description: System and process monitoring utilities
Owners: jcapik
Branches: f16 f17
InitialCC:

Comment 6 Gwyn Ciesla 2012-03-07 12:57:36 UTC
Git done (by process-git-requests).

Comment 7 Jaromír Cápík 2012-03-07 15:29:59 UTC
Thanks guys.

Package has been built -> closing.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3864044


Note You need to log in before you can comment on or make changes to this bug.